Tutoriel pour Git avec SourceTree  <!-- omit in toc -->
============
Le but de ce tuto est d'expliquer comment faire des commits proprement sur le Gitea de Zoz. 

## Table des matières  <!-- omit in toc -->
- [1. Introduction & Installation](#1-introduction-installation)
  - [1.1. Prérequis :](#1-1-prérequis)
  - [1.2. Cloner le dépôt avec SourceTree :](#1-2-cloner-le-dépôt-avec-sourcetree)
  - [1.3. Explications rapides des fonctions de SourceTree utilisées dans ce tuto](#1-3-explications-rapides-des-fonctions-de-sourcetree-utilisées-dans-ce-tuto)
- [2. Créer une branche de travail `mon_pseudo-travail` depuis la branche `master`](#2-créer-une-branche-de-travail-mon-pseudo-travail-depuis-la-branche-master)
    - [2.1. Méthode n°1 : depuis SourceTree](#2-1-méthode-n-1-depuis-sourcetree)
    - [2.2. Méthode n°2 : depuis l'interface web de Gitea](#2-2-méthode-n-2-depuis-l-interface-web-de-gitea)
- [3. Envoi du premier commit](#3-envoi-du-premier-commit)
- [4. Demande de fusion de notre branche `mon_pseudo-travail` avec `master`](#4-demande-de-fusion-de-notre-branche-mon-pseudo-travail-avec-master)

## 1. Introduction & Installation

Ce petit tuto va utiliser l'application SourceTree : [https://www.sourcetreeapp.com/](https://www.sourcetreeapp.com/).<br>
J'ai essayer plusieurs clients Git pour windows et macOS, et la seule (parmis celles essayées) offre une interface graphique assez similaire sur ces deux plateformes, et est assez facile d'utilisation. Ce tuto sera donc en partie rédigé pour utiliser cette application.

**Ce tuto va donc servir de guide pour contribuer au dépôt avec le moins possible de ligne de commande, voir aucune.**

### 1.1. Prérequis :

- Vous devrez aussi avoir installé Git pour windows (ou macos) : [https://git-scm.com/downloads](https://git-scm.com/downloads). Ça pourra être nécessaire si on passe par la ligne de commande.
- Installer SourceTree. <br> Une fois Git installé, et SourceTree installé, aller dans les options de SourceTree pour vérifier que le Git utilisé est bien celui que vous venez d'installer (en externe du point de vue de SourceTree) :<br>
[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/SourceTree-Git-config.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/SourceTree-Git-config.png)<br>
Tous les autres paramètres étant ceux par défaut.

### 1.2. Cloner le dépôt avec SourceTree :

[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-05.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-05.png)<br>
Une fois le dépôt cloné, on peut commencer à commiter comme un pro :D.
Vous devriez avoir ce genre d'affichage :<br>
[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-06.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-06.png)<br>

### 1.3. Explications rapides des fonctions de SourceTree utilisées dans ce tuto

Dans ce tuto, nous n'allons pas utiliser beaucoup de fonctionnalités de SourceTree, mais voilà les principales :

- **Bouton Valider** : permet d'afficher l'écran de validation du commit que l'on s'apprête à finaliser. On peut, et on doit, laisser un bref message indiquant sommairement ce que contient ce commit (en termes d'ajout, modification, etc...).<br>
  En ligne de commande, ce serait : `git commit -m "ma super modif"`.
- **Bouton Récupérer** : C'est le `git pull`, ça permet de récupérer dans la branche en cours le conteneur d'une branche distante :
- **Bouton Envoyer** : C'est le `git push`, ça permet d'envoyer les modifications locales sur le dépôt distant. En général, je préfère utiliser la case à cocher "Envoyer les modifications vers origin/ma-brancheblabla" à l'étape de validation du commit (voir plus bas).
- **Bouton Rapatrier** : Je l'utilise lorsque je suis sur la branche `master` pour récupérer les données et enlever de SourceTree les branches distantes qui ont été supprimées.
- **Bouton Changer de branche** : C'est avec ce bouton que je crée une nouvelle branche depuis la de départ `master`.


## 2. Créer une branche de travail `mon_pseudo-travail` depuis la branche `master`

#### 2.1. Méthode n°1 : depuis SourceTree

#### 2.2. Méthode n°2 : depuis l'interface web de Gitea

![](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-01.png)<br>
![](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-02.png)<br>
![](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-03.png)<br>
![](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-04.png)<br>

## 3. Envoi du premier commit

## 4. Demande de fusion de notre branche `mon_pseudo-travail` avec `master`

